#ifndef _UTILS_H
#define _UTILS_H

#include <net/if_arp.h>
#include "compiler.h"

#define IFACE_MAX_LEN member_size(struct arpreq, arp_dev)

int compare_uint32_t(const void *p, const void *q);
int iface_rgid_to_rmac(const char *dev, uint8_t *rgid, uint8_t *rmac);
int dev_to_iface(const char *dev, char *iface);
int iface_to_ipaddr(const char *iface, char *ip_addr, size_t ip_addr_sz);

#endif
